Operations - List

Lists all of the available Azure Data Services on Azure Arc API operations.

GET https://management.azure.com/providers/Microsoft.AzureArcData/operations?api-version=2026-01-01

URI Parameters

Name In Required Type Description
api-version
query True

string

The API version to use for the request

Responses

Name Type Description
200 OK

OperationListResult

Successfully retrieved operations.

Other Status Codes

ErrorResponse

*** Error Responses: ***

  • 400 InvalidParameterValue - An invalid value was given to parameter.

  • 400 InvalidCrossSubscriptionVmMove - Invalid cross subscription move of resource.

  • 400 RPGenericUser - User Failure when calling other Resource Provider.

  • 400 InvalidArgument - Invalid argument '{0}'.

  • 400 ArgumentNotInRange - Argument '{0}' not in range.

  • 400 ResourceNotProvisioned - As the resource: {0} is not in a provisioned state, the request cannot be proceeded forward

  • 400 InvalidRgResourceId - Invalid Resourcegroup resource id specified.

  • 403 AccessDenied - Access denied.

  • 404 ResourceNotFound - The requested resource was not found.

  • 404 SubscriptionDoesNotExist - Subscription id does not exist.

  • 404 ResourceDoesNotExist - Resource does not exist.

  • 404 OperationIdNotFound - Operation id could not be found.

  • 404 OperationTypeNotFound - Operation Type not found.

  • 409 ResourceAlreadyExists - Resource already exists.

  • 409 SqlExtensionNotInstalled - SQL extension not installed.

  • 409 MissingMoveResources - Cannot move resources(s) because some resources are missing in the request.

  • 409 OperationInProgress - Operation in progress on resource already.

  • 409 OperationCanceled - Operation Cancelled.

  • 500 RPGenericSystem - System Failure when calling other Resource Provider.

  • 500 UnExpectedErrorOccurred - Unexpected error occurred.

  • 500 OperationTimeout - Operation timed out.

Examples

Lists all of the available Azure Data Services on Azure Arc API operations.

Sample request

GET https://management.azure.com/providers/Microsoft.AzureArcData/operations?api-version=2026-01-01

Sample response

{
  "value": [
    {
      "name": "Microsoft.AzureArcData/Locations/OperationStatuses/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "Locations/OperationStatuses",
        "operation": "read_OperationStatuses",
        "description": "read OperationStatuses"
      }
    },
    {
      "name": "Microsoft.AzureArcData/Locations/OperationStatuses/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "Locations/OperationStatuses",
        "operation": "write_OperationStatuses",
        "description": "write OperationStatuses"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_ListInSubscription",
        "description": "read dataControllers"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_ListInGroup",
        "description": "read dataControllers"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_GetDataController",
        "description": "Retrieves a dataController resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_PutDataController",
        "description": "Creates or replaces a dataController resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/delete",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_DeleteDataController",
        "description": "Deletes a dataController resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers",
        "operation": "DataControllers_PatchDataController",
        "description": "Updates a dataController resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_List",
        "description": "read sqlManagedInstances"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_ListByResourceGroup",
        "description": "Gets all sqlManagedInstances in a resource group."
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_Get",
        "description": "Retrieves a SQL Managed Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_Create",
        "description": "Creates or replaces a SQL Managed Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/delete",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_Delete",
        "description": "Deletes a SQL Managed Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlManagedInstances/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlManagedInstances",
        "operation": "SqlManagedInstances_Update",
        "description": "Updates a SQL Managed Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_List",
        "description": "read sqlServerInstances"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_ListByResourceGroup",
        "description": "Gets all sqlServerInstances in a resource group."
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_Get",
        "description": "Retrieves a SQL Server Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_Create",
        "description": "Creates or replaces a SQL Server Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/delete",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_Delete",
        "description": "Deletes a SQL Server Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/databases/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances/databases",
        "operation": "SqlServerDatabases_List",
        "description": "List all database resources in a Sql Server Instance."
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/databases/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances/databases",
        "operation": "SqlServerDatabases_Get",
        "description": "Retrieves a database resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/databases/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances/databases",
        "operation": "SqlServerDatabases_Create",
        "description": "Creates or updates a database resource."
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/databases/delete",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances/databases",
        "operation": "SqlServerDatabases_Delete",
        "description": "Deletes a database resource."
      }
    },
    {
      "name": "Microsoft.AzureArcData/sqlServerInstances/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "sqlServerInstances",
        "operation": "SqlServerInstances_Update",
        "description": "Updates a SQL Server Instance resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/activeDirectoryConnectors/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers/activeDirectoryConnectors",
        "operation": "ActiveDirectoryConnectors_List",
        "description": "read activeDirectoryConnectors"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/activeDirectoryConnectors/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers/activeDirectoryConnectors",
        "operation": "ActiveDirectoryConnectors_Get",
        "description": "Retrieves an active directory connector resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/activeDirectoryConnectors/write",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers/activeDirectoryConnectors",
        "operation": "ActiveDirectoryConnectors_Create",
        "description": "Creates or replaces an active directory connector resource."
      }
    },
    {
      "name": "Microsoft.AzureArcData/dataControllers/activeDirectoryConnectors/delete",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "dataControllers/activeDirectoryConnectors",
        "operation": "ActiveDirectoryConnectors_Delete",
        "description": "Deletes an active directory connector resource"
      }
    },
    {
      "name": "Microsoft.AzureArcData/postgresInstances/read",
      "isDataAction": false,
      "display": {
        "resource": "Microsoft.AzureArcData",
        "provider": "Azure Arc Data Resource Provider.",
        "operation": "Get Postgres Instance details.",
        "description": "Retrieves details of Postgres Instances."
      }
    },
    {
      "name": "Microsoft.AzureArcData/postgresInstances/write",
      "isDataAction": false,
      "display": {
        "resource": "Microsoft.AzureArcData",
        "provider": "Azure Arc Data Resource Provider.",
        "operation": "Create new or update existing Postgres Instances.",
        "description": "Create a new or change properties of existing Postgres Instances."
      }
    },
    {
      "name": "Microsoft.AzureArcData/postgresInstances/delete",
      "isDataAction": false,
      "display": {
        "resource": "Microsoft.AzureArcData",
        "provider": "Azure Arc Data Resource Provider.",
        "operation": "Delete exisiting Postgres Instances.",
        "description": "Delete exisiting Postgres Instances."
      }
    },
    {
      "name": "Microsoft.AzureArcData/register/action",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "Microsoft.AzureArcData",
        "operation": "Register the Microsoft.AzureArcData",
        "description": "Register the subscription for Microsoft.AzureArcData"
      }
    },
    {
      "name": "Microsoft.AzureArcData/unregister/action",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "Microsoft.AzureArcData",
        "operation": "Unregister the Microsoft.AzureArcData",
        "description": "Unregister the subscription for Microsoft.AzureArcData"
      }
    },
    {
      "name": "Microsoft.AzureArcData/Operations/read",
      "isDataAction": false,
      "display": {
        "provider": "Microsoft.AzureArcData",
        "resource": "Operations",
        "operation": "read_Operations",
        "description": "read Operations"
      }
    }
  ]
}

Definitions

Name Description
ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Operation

Azure Data Services on Azure Arc operation definition.

OperationDisplay

Display metadata associated with the operation.

OperationListResult

Result of the request to list Azure Data Services on Azure Arc operations.

OperationOrigin

The intended executor of the operation.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Operation

Azure Data Services on Azure Arc operation definition.

Name Type Description
display

OperationDisplay

The localized display information for this particular operation / action.

isDataAction

boolean

Indicates whether the operation is a data action

name

string

The name of the operation being performed on this particular object.

origin

OperationOrigin

The intended executor of the operation.

properties

management.azure.com.arcdata.operations.list

Additional descriptions for the operation.

OperationDisplay

Display metadata associated with the operation.

Name Type Description
description

string

The localized friendly description for the operation.

operation

string

The localized friendly name for the operation.

provider

string

The localized friendly form of the resource provider name.

resource

string

The localized friendly form of the resource type related to this action/operation.

OperationListResult

Result of the request to list Azure Data Services on Azure Arc operations.

Name Type Description
nextLink

string

Link to retrieve next page of results.

value

Operation[]

Array of results.

OperationOrigin

The intended executor of the operation.

Value Description
user
system